tftp.c File Reference

Trivial File Transfer Protocol (RFC 1350) More...

`#include "lwip/apps/tftp_client.h"`
`#include "lwip/apps/tftp_server.h"`
`#include "lwip/udp.h"`
`#include "lwip/timeouts.h"`
`#include "lwip/debug.h"`
`#include <string.h>`

## Functions

err_t | tftp_init_common (u8_t mode, const struct tftp_context *ctx)
err_t | tftp_init_server (const struct tftp_context *ctx)
err_t | tftp_init_client (const struct tftp_context *ctx)
void | tftp_cleanup (void)

## Detailed Description

Trivial File Transfer Protocol (RFC 1350)

Author
  Logan Gunthorpe logan.nosp@m.g@de.nosp@m.ltate.nosp@m.e.co.nosp@m.m Dirk Ziegelmeier dzieg.nosp@m.el@g.nosp@m.mx.de

Copyright (c) Deltatee Enterprises Ltd. 2013 All rights reserved.

## Function Documentation

## tftp_init_common()

err_t tftp_init_common | ( | u8_t | mode,
|  | const struct tftp_context * | ctx
| ) |  |

Initialize TFTP client/server.

Parameters

  mode | TFTP mode (client/server)
  ctx | TFTP callback struct